### Hierarchy

- unknown
  - AccountAgeWitness

## Index

### Constructors

- constructor

### Methods

- getDate
- getHash
- getHash_asB64
- getHash_asU8
- serializeBinary
- setDate
- setHash
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AccountAgeWitness(): AccountAgeWitness

- Inherited from jspb.Message.constructor

  #### Returns AccountAgeWitness

## Methods

### getDate

- getDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3542

  #### Returns number

### getHash

- getHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3537

  #### Returns string | Uint8Array

### getHash_asB64

- getHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3539

  #### Returns string

### getHash_asU8

- getHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3538

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3545

  #### Returns Uint8Array

### setDate

- setDate(value: number): AccountAgeWitness

- - Defined in src/protobuf/pb_pb.d.ts:3543

  #### Parameters

  - ##### value: number

  #### Returns AccountAgeWitness

### setHash

- setHash(value: string | Uint8Array): AccountAgeWitness

- - Defined in src/protobuf/pb_pb.d.ts:3540

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns AccountAgeWitness

### toObject

- toObject(includeInstance?: boolean): AccountAgeWitness . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3546

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AccountAgeWitness . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AccountAgeWitness

- - Defined in src/protobuf/pb_pb.d.ts:3549

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AccountAgeWitness

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AccountAgeWitness, reader: BinaryReader): AccountAgeWitness

- - Defined in src/protobuf/pb_pb.d.ts:3550

  #### Parameters

  - ##### message: AccountAgeWitness

  - ##### reader: BinaryReader

  #### Returns AccountAgeWitness

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AccountAgeWitness, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3548

  #### Parameters

  - ##### message: AccountAgeWitness

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AccountAgeWitness ): AccountAgeWitness . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3547

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AccountAgeWitness

  #### Returns AccountAgeWitness . AsObject

Generated using TypeDoc